z=xlsread('feds200628.xls','Sheet1','A2538:L12117');  %Aug 1971-Dec 2009
g=find(z(1:end-1,2)~=z(2:end,2));
z=z(g,:);
bigt=length(z);
for j=1:bigt;
    y10(j)=svenssonzc(z(j,6:11)',10); 
    y10f(j)=svenssonf(z(j,6:11)',10);	
    y3m(j)=z(j,4);
    ff(j)=z(j,12); 
end;
zdate=z(:,1)+(z(:,2)/12);

plot(zdate(end-311:end),y3m(end-311:end),'k:','Linewidth',3);
hold on
plot(zdate(end-311:end),y10(end-311:end),'-','Linewidth',3);
plot(zdate(end-311:end),y10f(end-311:end),'r--','Linewidth',3);
ylabel('Percentage Points','FontSize',16,'FontName','Times');
legend('Three Month Yield','Ten Year Yield','Ten Year Forward Rate');
axis([1984 2010.5 0 15]);
set(gca,'FontSize',16,'FontName','Times')

